aboutsummaryrefslogtreecommitdiffstats
path: root/machxo2/examples/demo.sh
diff options
context:
space:
mode:
authorWilliam D. Jones <thor0505@comcast.net>2021-02-08 00:07:39 -0500
committergatecat <gatecat@ds0.me>2021-02-12 10:36:59 +0000
commit0aa472fb3adac0b76ef0b69831d5b83ff1200fe2 (patch)
treec69533dd8069cfd146d56483949d67dd14741c34 /machxo2/examples/demo.sh
parentb9eb443e549ab8c81e0c6bc94538f9f2fe2821d4 (diff)
downloadnextpnr-0aa472fb3adac0b76ef0b69831d5b83ff1200fe2.tar.gz
nextpnr-0aa472fb3adac0b76ef0b69831d5b83ff1200fe2.tar.bz2
nextpnr-0aa472fb3adac0b76ef0b69831d5b83ff1200fe2.zip
machxo2: Add prefix paramter to demo.sh.
Diffstat (limited to 'machxo2/examples/demo.sh')
-rw-r--r--machxo2/examples/demo.sh20
1 files changed, 16 insertions, 4 deletions
diff --git a/machxo2/examples/demo.sh b/machxo2/examples/demo.sh
index 6979f111..00cb0cd0 100644
--- a/machxo2/examples/demo.sh
+++ b/machxo2/examples/demo.sh
@@ -1,10 +1,22 @@
#!/bin/sh
+if [ $# -lt 1 ]; then
+ echo "Usage: $0 prefix"
+ exit -1
+fi
+
+if ! grep -q "(\*.*LOC.*\*)" $1.v; then
+ echo "$1.v does not have LOC constraints for tinyfpga_a."
+ exit -2
+fi
+
if [ ! -z ${TRELLIS_DB+x} ]; then
DB_ARG="--db $TRELLIS_DB"
fi
-${YOSYS:-yosys} -p 'synth_machxo2 -json tinyfpga.json' tinyfpga.v
-${NEXTPNR:-../../nextpnr-machxo2} --1200 --package QFN32 --no-iobs --json tinyfpga.json --textcfg tinyfpga.txt
-ecppack --compress $DB_ARG tinyfpga.txt tinyfpga.bit
-tinyproga -b tinyfpga.bit
+set -ex
+
+${YOSYS:-yosys} -p "synth_machxo2 -json $1.json" $1.v
+${NEXTPNR:-../../nextpnr-machxo2} --1200 --package QFN32 --no-iobs --json $1.json --textcfg $1.txt
+ecppack --compress $DB_ARG $1.txt $1.bit
+tinyproga -b $1.bit